Initial Version
[qa-tools:mnts.git] / mnts-baseos-tests / src / drv_usb_network_001.sh
1 #!/bin/sh
2 #DESCR: Verify if the cpu is supported by Moblin
3 # Copyright (C) 2009 Intel Corporation.
4 #
5 # This program is free software; you can redistribute it and/or modify it
6 # under the terms and conditions of the GNU General Public License,
7 # version 2, as published by the Free Software Foundation.
8
9 # This program is distributed in the hope it will be useful, but WITHOUT
10 # ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
11 # FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
12 # for more details.  
13
14 # You should have received a copy of the GNU General Public License along with
15 # this program; if not, write to the Free Software Foundation, Inc., 59 Temple
16 # Place - Suite 330, Boston, MA 02111-1307 USA.
17
18 #
19 # Authors:
20 #       Gong, Zhipeng <zhipeng.gong@intel.com>
21 cd `dirname $0`
22 found="no"
23 for i in /sys/bus/usb/drivers/*; do
24         [ ! -e $i/*/net ] && continue
25         echo "found USB-Ethernet converter at $i/*/net"
26         hwaddress=`cat $i/*/net/*/address`
27         echo "HW address is $hwaddress"
28         found="yes"
29 done
30
31
32 if [ $found == "yes" ]; then
33         ifconfig -a | grep $hwaddress -i -A 2 | grep "inet addr"
34         if [ $? == "0" ]; then
35                 echo "the device has got IP address"
36         else
37                 echo "the device has not got IP address"
38                 exit 1
39         fi
40 else
41         echo "can't fount USB-Ethernet converter"
42         exit 1
43 fi
44
45 interface=`ifconfig -a | grep $hwaddress -i | awk '{print $1}'`
46 echo $interface
47
48 #ifconfig $interface down
49 #sleep 3
50 #ifconfig $interface up
51 #echo "wait for the ethernet controller to get ip"
52 #sleep 10
53
54 ifconfig -a | grep $hwaddress -i -A 2 | grep "inet addr"
55 [ $? -eq 0 ] || { echo "cannot find the ip address for ethernet controller after down/up"; exit 1; }
56
57 exit 0
58